/* 
 *
 * PDFlib PLOP: PDF Linearization, Optimization, Protection
 * encryption sample
 *
 */

using System;
using System.Text;
using PLOP_dotnet;

class Encrypt 
{
    static void Main(string[] args) 
    {
        /* parameters for the input document */
        const string in_filename = "PLOP-datasheet.pdf";
        const string in_password = "";

        /* parameters for the output document */
        const string out_filename = "PLOP-datasheet-encrypted.pdf";
        const string out_master = "DEMO";
        const string out_user = "demo";
        const string permissions = "";

        /* This is where input files live. Adjust as necessary. */
        const string searchpath = "../data ../../data";
        PLOP plop = null;

        try 
        {
            int doc;
            string optlist;
            plop = new PLOP();

            optlist = "searchpath={" + searchpath + "}";
            plop.set_option(optlist);


            /* open unprotected input file without any password */
            optlist = "password {" + "{0}" + in_password + "} ";
            if ((doc = plop.open_document(in_filename, optlist)) == -1)
            {
                Console.WriteLine("Error: {0}\n", plop.get_errmsg());
                return;
            }

            /* create the output file with a password */
            optlist =   "masterpassword {" + out_master +
                        "} userpassword {" + out_user +
                        "} permissions {" + permissions + "} input=" + doc;
            if (plop.create_document(out_filename, optlist)== -1)
            {
                Console.WriteLine("Error: {0}\n", plop.get_errmsg());
                return;
            }

            /* close input and output files */
            plop.close_document(doc, "");
        }   
        catch (PLOPException e) 
        {
            Console.WriteLine("PLOP exception occurred in encrypt sample:");
            Console.WriteLine("[{0}] {1}: {2}\n", e.get_errnum(),
                                        e.get_apiname(), e.get_errmsg());
        } finally {
            if (plop != null) {
                plop.Dispose();
            }
        }
    }
}
