# Using PDFlib GmbH Products with .NET Core and .NET 5

Please refer to the product-specific documentation for more details regarding the use of PDFlib GmbH products with .NET Core.


## Examples

The examples are configured to simply work. For example, the following commands can be used to run the `dumper` example for PLOP:

    cd C#/dumper
    dotnet run PLOP-datasheet.pdf

The `hellosign` and `dynamicsign` examples will only work if the PDFlib dotnetcore NuGet package is available. Please adjust hellosign.csproj/dynamicsign.csproj and add the needed PackageReference. If you are using `PDFlib_dotnet.x.y.z.nupkg` (replace `x.y.z` with the appropriate .NET Core version number of the product) you must add the following:

    <PackageReference Include="PDFlib_dotnet" Version="x.y.z" />


## .NET Core and .NET 5

The examples use the following TFM in the project files:

    <TargetFramework>netcoreapp3.1</TargetFramework>

If you are using the examples with a different version of .NET Core or .NET 5 you may get an error message like:

    It was not possible to find any compatible framework version
    
along with details about the installed frameworks as well as instructions about installing the required framework.    


You can solve this in one of the following ways:

- change the `<TargetFramework>` entry in the project file, or
- download the compatible framework as explained in the error message
